## amiga-fdisk 0.03a

=== Makefile ===
# Makefile -- Makefile for AFDisk
#
# Copyright 1996 Stefan Reinauer (stepan@matrix.kommune.schokola.de)
#

CC=             gcc
CFLAGS=         -O2 -fomit-frame-pointer -Wall -I./include
LDFLAGS=        # -s -N

# Where to put binaries?
# See the "install" rule for the links. . .

SBIN= 		afdisk

# Where to put datebase files?

all: $(SBIN)

afdisk: amigastuff.o fdisk.o
	$(CC) $(LDFLAGS) $^ -o $@

install: all
	$(INSTALLDIR) $(SBINDIR)
	$(INSTALLBIN) $(SBIN) $(SBINDIR)

clean:
	-rm -f *.o *~ $(SBIN)

tidy:
	-rm -f *.o *~
	-strip afdisk
