=== debian/control ===
Source: amiga-fdisk
Section: admin
Priority: standard
Maintainer: Christian T. Steigies <cts@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
               libreadline-dev
Homepage: https://salsa.debian.org/cts/amiga-fdisk
Vcs-Browser: https://salsa.debian.org/cts/amiga-fdisk
Vcs-Git: https://salsa.debian.org/cts/amiga-fdisk.git

Package: amiga-fdisk
Architecture: m68k powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: amiga-fdisk-bf
Replaces: amiga-fdisk-bf, amiga-fdisk-cross
Description: Partition editor for Amiga
 Amiga-fdisk is, similar to fdisk for PCs, a program to partition
 harddisks. Though it seems to work quite well, it's still got some
 sort of beta status. It's suggested that you still use the AmigaDOS
 native tool "HDToolBox" to partition your harddisks and use
 amiga-fdisk only for querying partition information.

Package: amiga-fdisk-bf
Priority: optional
Architecture: m68k powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: amiga-fdisk, amiga-fdisk-cross
Description: Partition editor for Amiga (boot-floppies version)
 Amiga-fdisk is, similar to fdisk for PCs, a program to partition
 harddisks. Though it seems to work quite well, it's still got some
 sort of beta status. It's suggested that you still use the AmigaDOS
 native tool "HDToolBox" to partition your harddisks and use
 amiga-fdisk only for querying partition information.
 This is the boot-floppies version, you should upgrade to the full 
 version as soon as possible.

Package: amiga-fdisk-cross
Section: otherosfs
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: amiga-fdisk, amiga-fdisk-bf
Description: Partition editor for Amiga partitions (cross version)
 Amiga-fdisk is, similar to fdisk for PCs, a program to partition
 harddisks. Though it seems to work quite well, it's still got some
 sort of beta status. It's suggested that you still use the AmigaDOS
 native tool "HDToolBox" to partition your harddisks and use
 amiga-fdisk only for querying partition information.
 This is the version for non-Amiga systems.
