=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)

INSTALL_TARGETS = install-cross

ifeq ($(ARCH),m68k)
INSTALL_TARGETS = install-non-bf install-bf
DH_EXTRAS=-Namiga-fdisk-cross
endif
ifeq ($(ARCH),powerpc)
INSTALL_TARGETS = install-non-bf install-bf
DH_EXTRAS=-Namiga-fdisk-cross
endif

# Only build packages ment for this architecture
export DH_OPTIONS=-a $(DH_EXTRAS)

# This has to be exported to make some magic below work.
export INSTALL_TARGETS

# Run autopkgtest from local environment
do_autopkgtest:
	autopkgtest -B -- null

build-non-bf: build-non-bf-stamp
build-non-bf-stamp:
	dh_testdir
	# Add here commands to compile the non-bf package.
	$(MAKE) clean	
	$(MAKE) CFLAGS+="-DUSE_READLINE=yes -I./include"

	touch build-non-bf-stamp

build-bf: build-bf-stamp
build-bf-stamp:
	dh_testdir
	# Add here commands to compile the bf package.
	$(MAKE) clean	
	$(MAKE) CFLAGS+="-DUSE_READLINE=no -I./include"

	touch build-bf-stamp

build-cross: build-cross-stamp
build-cross-stamp:
	dh_testdir
	# Add here commands to compile the cross package.
	$(MAKE) clean	
	$(MAKE) CFLAGS+="-DUSE_READLINE=yes -I./include"

	touch build-cross-stamp

build-arch: build

build-indep: build

build:

clean:
	dh_testdir
	dh_testroot
	rm -f build-non-bf-stamp build-bf-stamp build-cross-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install-non-bf: build-non-bf
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/amiga-fdisk.
	$(MAKE) install DESTDIR=`pwd`/debian/amiga-fdisk

install-bf: build-bf
	dh_testdir
	dh_testroot
	rm -rf debian/amiga-fdisk-bf
	dh_installdirs

	# Add here commands to install the package into debian/amiga-fdisk-bf.
	$(MAKE) install DESTDIR=`pwd`/debian/amiga-fdisk-bf

install-cross: build-cross
	dh_testdir
	dh_testroot
	rm -rf debian/amiga-fdisk-cross
	dh_installdirs

	# Add here commands to install the package into debian/amiga-fdisk-cross.
	$(MAKE) install DESTDIR=`pwd`/debian/amiga-fdisk-cross

install: $(INSTALL_TARGETS)
	echo $(INSTALL_TARGETS)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installman -A amiga-fdisk.8
	dh_installinfo
#	dh_undocumented
#	dh_installchangelogs -a ChangeLog
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
