=== debian/tests/control ===
Test-Command: /usr/sbin/amiga-fdisk -v
Depends: amiga-fdisk-cross
